Team API
GET /v1/team/invitations
List Team Invitations
List pending organization invitations.
Auth: BearerAuth with a user session token (JWT). API keys are rejected.
Response 200 (TeamInvitationsListResponse)
curl -X GET "https://api.pinbridge.io/v1/team/invitations" \
-H "Authorization: Bearer $PINBRIDGE_JWT"
POST /v1/team/invitations
Create Team Invitation Route
Create a new invitation for an organization member.
Auth: BearerAuth with a user session token (JWT). API keys are rejected.
Request body (TeamInvitationCreateRequest)
| Field | Type | Required | Description |
|---|---|---|---|
email |
string | yes | |
role |
string | yes | (max 32, min 4) |
Response 201 (TeamInvitationResponse)
curl -X POST "https://api.pinbridge.io/v1/team/invitations" \
-H "Authorization: Bearer $PINBRIDGE_JWT" \
-H "Content-Type: application/json" \
-d '{"email": "[email protected]", "role": "operator"}'
POST /v1/team/invitations/accept
Accept Team Invitation Route
Accept an invitation for the authenticated user and switch the session context.
Auth: BearerAuth with a user session token (JWT). API keys are rejected.
Request body (TeamInvitationAcceptRequest)
| Field | Type | Required | Description |
|---|---|---|---|
token |
string | yes | (max 512, min 20) |
Response 200 (TeamInvitationAcceptResponse)
curl -X POST "https://api.pinbridge.io/v1/team/invitations/accept" \
-H "Authorization: Bearer $PINBRIDGE_JWT" \
-H "Content-Type: application/json" \
-d '{"token": "token-from-the-email-link"}'
GET /v1/team/invitations/preview
Preview Team Invitation
Return a public preview of an invitation token.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
token |
query | yes | string |
Response 200 (TeamInvitationPreviewResponse)
curl -X GET "https://api.pinbridge.io/v1/team/invitations/preview?token=$TOKEN"
DELETE /v1/team/invitations/{invitation_id}
Revoke Team Invitation Route
Revoke a pending invitation.
Auth: BearerAuth with a user session token (JWT). API keys are rejected.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
invitation_id |
path | yes | string |
Response 200 (TeamActionResponse)
curl -X DELETE "https://api.pinbridge.io/v1/team/invitations/$INVITATION_ID" \
-H "Authorization: Bearer $PINBRIDGE_JWT"
POST /v1/team/invitations/{invitation_id}/resend
Resend Team Invitation Route
Rotate an invitation token and send a fresh email.
Auth: BearerAuth with a user session token (JWT). API keys are rejected.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
invitation_id |
path | yes | string |
Response 200 (TeamInvitationResponse)
curl -X POST "https://api.pinbridge.io/v1/team/invitations/$INVITATION_ID/resend" \
-H "Authorization: Bearer $PINBRIDGE_JWT"
GET /v1/team/members
List Team Members
List accepted organization members.
Auth: BearerAuth with a user session token (JWT). API keys are rejected.
Response 200 (TeamMembersListResponse)
curl -X GET "https://api.pinbridge.io/v1/team/members" \
-H "Authorization: Bearer $PINBRIDGE_JWT"
DELETE /v1/team/members/{member_id}
Remove Team Member
Remove a member or allow a non-owner to remove themselves.
Auth: BearerAuth with a user session token (JWT). API keys are rejected.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
member_id |
path | yes | string |
Response 200 (TeamActionResponse)
curl -X DELETE "https://api.pinbridge.io/v1/team/members/$MEMBER_ID" \
-H "Authorization: Bearer $PINBRIDGE_JWT"
PATCH /v1/team/members/{member_id}
Update Team Member
Update a member role or transfer ownership.
Auth: BearerAuth with a user session token (JWT). API keys are rejected.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
member_id |
path | yes | string |
Request body (TeamMemberUpdateRequest)
| Field | Type | Required | Description |
|---|---|---|---|
role |
string | yes | (max 32, min 4) |
Response 200 (TeamMemberResponse)
curl -X PATCH "https://api.pinbridge.io/v1/team/members/$MEMBER_ID" \
-H "Authorization: Bearer $PINBRIDGE_JWT" \
-H "Content-Type: application/json" \
-d '{"role": "operator"}'
